al_play_sample(3)

NAME

al_play_sample - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_play_sample(ALLEGRO_SAMPLE *spl, float gain, float pan, float speed,
       ALLEGRO_PLAYMODE loop, ALLEGRO_SAMPLE_ID *ret_id)

DESCRIPTION

Plays a sample on one of the sample instances created by al_reserve_samples(3). Returns true on success, false on failure. Playback may fail because all the reserved sample instances are currently used.

Parameters:

•   gain - relative volume at which the sample is played; 1.0 is normal.

•   pan - 0.0 is centred, -1.0 is left, 1.0 is right, or ALLEGRO_AUDIO_PAN_NONE.

•   speed - relative speed at which the sample is played; 1.0 is normal.

•   loop - ALLEGRO_PLAYMODE_ONCE, ALLEGRO_PLAYMODE_LOOP, or ALLEGRO_PLAYMODE_BIDIR

•   ret_id - if non-NULL the variable which this points to will be assigned an id representing the sample being played. If al_play_sample(3) returns false, then the contents of ret_id are invalid and must not be used as argument to other functions.

SEE ALSO

ALLEGRO_PLAYMODE(3), ALLEGRO_AUDIO_PAN_NONE(3), ALLEGRO_SAMPLE_ID(3), al_stop_sample(3), al_stop_samples(3), al_lock_sample_id(3).